# Subaccounts Endpoint: POST /api/subaccount/{subaccountType} Version: 1.0.0 Security: JWT ## Path parameters: - `subaccountType` (string, required) Subaccount type Enum: "ACT", "RET" ## Query parameters: - `onBehalfOfAccountId` (string) Account id for which the request is being made: defaults to the primary account id of the requester unless specified ## Request fields (application/json): - `requests` (array) List of requests - `requests.additionalDetails` (string) The subaccount additional details Example: "Acme Retirements" - `requests.alias` (string) The subaccount alias Example: "Acme Retirements" - `requests.correlationId` (string) Correlation identifier: an opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `requests.name` (string, required) The subaccount name Example: "Acme Retirements" ## Response 200 fields (application/json): - `responses` (array) List of responses - `responses.additionalDetails` (string) The subaccount additional details Example: "Acme Retirements" - `responses.alias` (string) The subaccount alias Example: "Acme Retirements" - `responses.correlationId` (string) Correlation identifier: an opaque value that will be returned in the responses and error messages to correlate the response or error with the corresponding request Example: "1" - `responses.name` (string, required) The subaccount name Example: "Acme Retirements" - `responses.subaccountId` (string, required) The subaccount identifier Example: "99" - `submissionId` (string, required) Submission identifier for issue investigation ## Response 400 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 401 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 403 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 413 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 429 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation ## Response 500 fields (application/json): - `errors` (array) List of errors - `errors.code` (string, required) The error code - `errors.correlationId` (string) The correlation identifier from the input - `errors.field` (string) The field in error, if applicable - `errors.message` (string, required) The error message - `errors.parameter` (string) The parameter in error, if applicable - `errors.path` (string) The path to the field specifically in error, if applicable - `submissionId` (string) Submission identifier for issue investigation